Name:           gnome-sharp
Version:        2.24.0
Release:        5%{?dist}
Summary:        GTK+ and GNOME bindings for Mono

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            ftp://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.24/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.24/gnome-sharp-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#Patch1: %{name}-libdir.patch
Patch1: %{name}-2.20.0-libdir.patch
# Added by upstream
#Patch2: %{name}-2.16.0-automake-1.10.patch
# Disabled, gtkhtml has been removed
#Patch3: %{name}-2.16.0-gtkhtml3-3.14.patch
#Patch4: %{name}-2.16.1-assemblydir.patch
# init gtype before using gconf
Patch2: gnome-sharp-gconf-init.patch

BuildRequires:  mono-devel gtk2-devel libart_lgpl-devel gnome-vfs2-devel libgnomecanvas-devel libgnomeui-devel
BuildRequires:  gtk-sharp2-devel >= 2.12.7
BuildRequires:  gtk-sharp2-gapi >= 2.12.7
BuildRequires:  librsvg2-devel gtkhtml3-devel vte-devel gnome-panel-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  automake, libtool

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 armv4l sparc alpha s390 s390x

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. gnome-sharp
extends gtk-sharp2 and adds bindings for gconf, libgnome, gnome-vfs,
libart, gtkhtml, librsvg, and vte.

%package devel
Summary: files needed for developing with gnome-sharp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides the necessary development libraries and headers
for writing gnome-sharp2 applications.

%prep
%setup -n gnome-sharp-%{version}
%patch1 -p1 -b .libdir
# Added by upstream
#%patch2 -p1 -b .automake-1.10
#%patch3 -p1 -b .gtkhtml3-3.14
#%patch4 -p1 -b .assemblydir
%patch2 -p1 -b .gconf-init

%build
autoreconf --force --install
aclocal

export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
export MONO_CAIRO_LIBS="-r:%{_libdir}/mono/1.0/Mono.Cairo.dll"
%configure
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp-2.0 /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.*a

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/gconfsharp2-schemagen
%{_libdir}/gtk-sharp-2.0/gconfsharp-schemagen.exe
%{_libdir}/*.so
%{_libdir}/mono/gac
%{_libdir}/mono/gtk-sharp-2.0/*.dll
%{_datadir}/gapi-2.0/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*-sharp-2.0.pc
%{_libdir}/pkgconfig/gconf-sharp-peditors-2.0.pc

%changelog
* Tue Jun 16 2009 Karsten Hopp <karsten@redhat.com> 2.24.0-5
- mono is available on s390x

* Mon May 25 2009 Xavier lamien <laxathom@fedoraproject.org> - 2.24.0-4
- build ppc64.

* Sat Apr  4 2009 Matthias Clasen <mclasen@redhat.com> - 2.24.0-3
- Make tomboy work before gconfd is started (#494065)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 16 2008 Dan Winship <dwinship@redhat.com> - 2.24.0-1
- Update to 2.24.0

* Thu Jul 03 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.20.0-2
- Fix gnome-sharp-2.0 pkconfig.

* Thu Jul 03 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.20.0-1
- Update release.

* Wed Jun 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.16.1-3
- fix license, fix libdir patch (gconf-sharp-peditors-2.0.pc)

* Tue Jun 03 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.16.1-2
- Rebuild against new gtk-sharp2.

* Fri Apr 11 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.16.1-1
- Updated Release.

* Thu Mar 05 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.16.0-7
- Fixed Assembly_dir on Rawhide (bug #434280).

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.16.0-6
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.16.0-5
- Rebuild for selinux ppc32 issue.

* Thu Jul 26 2007 Matthias Clasen <mclasen@redhat.com> - 2.16.0-4
- Add alpha to ExclusiveArch (#246205)

* Tue Jul 17 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.16.0-3
- Fixed gtkhtml dependency version [bug #247831]

* Wed Jul 10 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.16.0-2
- Fixed build with automake-1.10 [bug #247592].

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Fri Aug 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.0-2.fc6
- Require pkgconfig, not pkg-config

* Mon Aug 14 2006 Alexander Larsson <alexl@redhat.com> - 2.15.0-1
- Initial version split out from gtk-sharp2
